Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Speech synthesis engine
Name:		flite
Version:	1.3
Release:	1
License:	CMU
URL:		http://www.speech.cs.cmu.edu/flite/index.html
Group:		User Interface/Speech Synthesis
Source0:	%{name}-%{version}-release.tar.gz
Patch0:         flite-1.3-sharedlibs.patch
Patch1:         flite-1.3-doc_texinfo.patch
Patch2:         flite-1.3-alsa_support.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  glibc-devel

%description
Flite (festival-lite) is a small, fast run-time synthesis engine developed at CMU and primarily designed for small embedded machines and/or large servers. Flite is designed as an alternative synthesis engine to Festival for voices built using the FestVox suite of voice building tools.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}-release
%patch0 -p1 -b .flite-1.3-sharedlibs
%patch1 -p1 -b .flite-1.3-doc_texinfo
#%patch2 -p1 -b .flite-1.3-alsa_support

%build
#export CFLAGS="$CFLAGS -lasound "
#export CXXFLAGS=$CFLAGS
./configure 	--prefix=%_prefix \
		--mandir=%_mandir \
		--enable-shared #\
#		--with-audio=alsa
make
#cd doc
#make flite.html


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALLBINDIR=%{buildroot}%{_bindir} INSTALLLIBDIR=%{buildroot}%{_libdir}  INSTALLINCDIR=%{buildroot}%{_includedir}/flite
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Dec 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3-1
- Initial Release
